Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PhysicalInStream Class Reference

The base class for physical in streams. More...

`#include <InStreams.h>`

Inheritance diagram for PhysicalInStream:

[legend]
List of all members.

## Public Member Functions
virtual void | readFromStream (void *p, int size)=0
| The function reads a number of bytes from a stream.
virtual void | skipInStream (int size)
| The function skips a number of bytes in a stream.
virtual bool | exists () const
| The function states whether this stream actually exists.
virtual bool | getEof () const=0
| The function states whether the end of the stream has been reached.

## Detailed Description

The base class for physical in streams.

Derivates of PhysicalInStream only handle the reading of data from a medium, not of formating data.

Definition at line 23 of file InStreams.h.

## Member Function Documentation

virtual void PhysicalInStream::readFromStream | ( | void * | p,
|  | int | size
| ) | `[pure virtual]`

  | The function reads a number of bytes from a stream. Parameters:
  p | The address the data is written to. Note that p must point to a memory area that is at least "size" bytes large.
  size | The number of bytes to be read.
Implemented in InMessageQueue, InFile, and InMemory. Referenced by InText::nextChar(), InBinary::readChar(), InBinary::readData(), InBinary::readDouble(), InBinary::readFloat(), InBinary::readInt(), InBinary::readLong(), InBinary::readShort(), InBinary::readString(), InBinary::readUChar(), InBinary::readUInt(), InBinary::readULong(), InBinary::readUShort(), and skipInStream().

void PhysicalInStream::skipInStream | ( | int | size | ) | `[virtual]`

  | The function skips a number of bytes in a stream. Parameters:
  size | The number of bytes to be read.
Reimplemented in InMemory. Definition at line 22 of file InStreams.cpp. References readFromStream(). Referenced by InBinary::skipData().

Here is the call graph for this function:

virtual bool PhysicalInStream::exists | ( |  | ) | const`[inline, virtual]`

| The function states whether this stream actually exists. This function is relevant if the stream represents a file. Returns: Does the stream exist? Reimplemented in InMessageQueue, InFile, and InMemory. Definition at line 46 of file InStreams.h. Referenced by InConfig::create().

virtual bool PhysicalInStream::getEof | ( |  | ) | const`[pure virtual]`

| The function states whether the end of the stream has been reached. Returns: End of stream reached? Implemented in InMessageQueue, InFile, and InMemory. Referenced by InBinary::isEof(), and InText::nextChar().

The documentation for this class was generated from the following files:

- Tools/Streams/InStreams.h
- Tools/Streams/InStreams.cpp